Package ru.bitel.bgbilling.kernel.event.events

# Class ContractObjectParameterBeforeUpdateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.ContractObjectParameterBeforeUpdateEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class ContractObjectParameterBeforeUpdateEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие - перед измением параметра объекта договора.
Вызывается перед изменением параметра объекта.
Позволяет проверить устанавливаемый параметр и запретить его смену.
Унаследован от `LocalEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ContractObjectParameterBeforeUpdateEvent()`
  ``
  `ContractObjectParameterBeforeUpdateEvent(int userId, int contractId, EntityAttr value)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getError()`
  Возвращает текст ошибки.
  Функция вызывается биллингом после обработки события.
  При установленной ошибке изменение параметра объекта запрещается.
  `EntityAttr`
  `getValue()`
  Возвращается устанавливаемое значение параметра объекта.
  `void`
  `setError(String error)`
  Устанавливает текст ошибки при неправильной\некорректной попытке изменить параметр.
  Вызывается скриптом.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractObjectParameterBeforeUpdateEvent

    protected ContractObjectParameterBeforeUpdateEvent()

  - ### ContractObjectParameterBeforeUpdateEvent

    public ContractObjectParameterBeforeUpdateEvent(int userId, int contractId, EntityAttr value)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `contractId` - код договора
      `value` - устанавливаемое значение параметра объекта
      `paramId` - код параметра

- ## Method Details

  - ### getError

    public String getError()
    Возвращает текст ошибки.
    Функция вызывается биллингом после обработки события.
    При установленной ошибке изменение параметра объекта запрещается.
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Returns:
      error - текст ошибки

  - ### setError

    public void setError(String error)
    Устанавливает текст ошибки при неправильной\некорректной попытке изменить параметр.
    Вызывается скриптом.
    Specified by:
      `setError` in interface `ErrorReturnableEvent`
    Overrides:
      `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Type Parameters:
      `b` - error - текст ошибки

  - ### getValue

    public EntityAttr getValue()
    Возвращается устанавливаемое значение параметра объекта.
    Returns:
      value - новое значение